<?php
require('conexion.php');
session_start();
$id_nota =7;
$tipo_pago = 0;
$_SESSION['cveNota'] = 7;

if (isset($_POST['pago_total_efectivo']) && isset($_POST['pago_total_tarjeta'])) {
    $pago_total_tarjeta = $_POST['pago_total_tarjeta'];
    $pago_total_efectivo = $_POST['pago_total_efectivo'];
}else{
    $pago_total_tarjeta = 0;
    $pago_total_efectivo = 0;
}
$query = query("SELECT * FROM productos_nota WHERE id_nota_venta='$id_nota'");
$query2= query("SELECT * FROM notas_venta WHERE ntv_no_personas > 0 AND id='$id_nota'");

if($query->num_rows > 0 && $query2->num_rows >0){
    $nota_zona_venta_piso =query("SELECT * FROM notas_venta WHERE ntv_zona_ate = 'Venta en piso' AND id='$id_nota'");
    $no_mesa = query("SELECT * FROM notas_venta WHERE ntv_no_mesa > 0 and id='$id_nota'");
    if ($nota_zona_venta_piso->num_rows > 0 && $no_mesa->num_rows > 0) {
        $res = query("UPDATE notas_venta SET ntv_id_tipo_pago='$tipo_pago', ntv_tarjeta='$pago_total_tarjeta', ntv_efectivo='$pago_total_efectivo', ntv_estatus='pagado' WHERE id='$id_nota'");
        ///$resultado=mysqli_fetch_assoc($res);
        $result=1;
    }else{
        $nota_zona_venta_para_llevar=query("SELECT * FROM notas_venta WHERE ntv_zona_ate = 'Para llevar' AND id='$id_nota'");
        if ($nota_zona_venta_para_llevar->num_rows > 0) {
            $res = query("UPDATE notas_venta SET ntv_id_tipo_pago='$tipo_pago', ntv_tarjeta='$pago_total_tarjeta', ntv_efectivo='$pago_total_efectivo', ntv_estatus='pagado' WHERE id='$id_nota'");
            ///$resultado=mysqli_fetch_assoc($res);
            $result=1;
        }else{
            $result = 0;
        }
    }
    
}else{
    $result = 0;
}

echo $result;
?>